Page MenuHomeFreeBSD

efivar: Add --quiet to not report errors
ClosedPublic

Authored by imp on Apr 7 2021, 5:41 AM.

Details

Summary

Add -q/--quiet flag to the command line. With it, errors are not reported at
all. Instead nothing is printed and the exit code is non-zero.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

imp requested review of this revision.Apr 7 2021, 5:41 AM
bcr added a subscriber: bcr.

OK from manpages.

LGTM with the comments addressed.

usr.sbin/efivar/efivar.8
35

List -q here too?

usr.sbin/efivar/efivar.c
84

Presumably the short options should be updated as well?

This revision is now accepted and ready to land.Apr 7 2021, 1:23 PM

Address markj's issues.

This revision now requires review to proceed.Apr 8 2021, 10:17 PM
This revision is now accepted and ready to land.Apr 9 2021, 1:51 PM
This revision was automatically updated to reflect the committed changes.